commit 30a94937a0d46a7ed38ebea801926da9ddcde6f2
Author: freddy77 <freddy77>
Date:   Wed May 12 11:19:16 2010 +0000

    small compile fix for Visual Studio

diff --git a/ChangeLog b/ChangeLog
index 689b4b0..344b19a 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Wed May 12 13:18:25 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/replacements/fakepoll.c: small compile fix for Visual Studio
+
 Wed May 12 10:15:04 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/fakepoll.h src/replacements/fakepoll.c:
 	- fix and improve fakepoll for Windows
@@ -2442,4 +2445,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3021 2010/05/12 08:15:27 freddy77 Exp $
+$Id: ChangeLog,v 1.3022 2010/05/12 11:19:16 freddy77 Exp $
diff --git a/src/replacements/fakepoll.c b/src/replacements/fakepoll.c
index 81cc5ce..b6ad165 100644
--- a/src/replacements/fakepoll.c
+++ b/src/replacements/fakepoll.c
@@ -23,7 +23,7 @@
 
 #ifndef HAVE_POLL
 
-static char software_version[] = "$Id: fakepoll.c,v 1.9 2010/05/12 08:15:27 freddy77 Exp $";
+static char software_version[] = "$Id: fakepoll.c,v 1.10 2010/05/12 11:19:16 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #include <stdarg.h>
@@ -69,7 +69,7 @@ fakepoll(struct pollfd fds[], int nfds, int timeout)
 	int selected, polled = 0, maxfd = 0;
 
 #if defined(_WIN32)
-	typedef int WSAAPI (*WSAPoll_t)(struct pollfd fds[], ULONG nfds, INT timeout);
+	typedef int (WSAAPI *WSAPoll_t)(struct pollfd fds[], ULONG nfds, INT timeout);
 	static WSAPoll_t poll_p = (WSAPoll_t) -1;
 	if (poll_p == (WSAPoll_t) -1) {
 		HMODULE mod;

